# Diseño del SDK

{% @plantuml/diagram content="    @startuml
actor "Cashier"

```
component "BYOD\n" as byod <<device>> {
  rectangle "POS" {
    rectangle "PSDK" as PSDK <<highlight>> {
      rectangle "Navigator" as Navigator <<highlight>>
      rectangle "Printer\nAdapter" as PrinterManager <<highlight>>
      rectangle "Barcode Scanner\nAdapter" as ScannerManager <<highlight>>
      rectangle "Payment App\nProtocol Adapter" as ProtocolAdapter <<highlight>>
    }
  }
  rectangle "Camera" <<highlight>>
  rectangle "OS Printer Framework" as PrinterFramework <<highlight>>
}

rectangle "Printer" <<highlight>>
rectangle "Barcode Scanner" as Scanner <<highlight>>

PrinterManager <<-d->> PrinterFramework
PrinterFramework <<-d->> Printer
ScannerManager <<-d->> Camera
ScannerManager <<-d->> Scanner

component "POI\n" as POI <<device>> {
  rectangle "Payment App" as PaymentApp <<highlight>>
  ProtocolAdapter <<-r->> PaymentApp
  Navigator <<-r->> PaymentApp
}
byod <<-l->> Cashier

actor "Customer"
POI <<-r->> Customer

@enduml" %}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.verifone.com/psdk/psdk-es/no-estas-seguro-de-donde-se-encuentran-estos/sdk_design.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
